import { Field, ObjectType } from '@nestjs/graphql';
import { GraphQLInt } from 'graphql/type';
import { EntryModel } from './entry.model';

export enum AgentFlags {
	ADMIN = 1 << 0,
	ANNOUNCER = 1 << 1,
	HIDDEN = 1 << 2,
	CRIMINAL = 1 << 3,
}

@ObjectType('Agent')
export class AgentModel {
	@Field()
	id: string;

	@Field()
	name: string;

	@Field({ defaultValue: 0 })
	value?: number;

	@Field({ nullable: true })
	slug?: string;

	@Field({ nullable: true })
	avatar?: string;

	@Field({ nullable: true })
	bio?: string;

	@Field(() => GraphQLInt)
	flags: number;

	@Field(() => [EntryModel])
	entries?: EntryModel[];
}
