import { Module } from '@nestjs/common';
import { AgentResolver } from './agent.resolver';
import { AuthResolver } from './auth.resolver';
import { GroupResolver } from './group.resolver';
import { TokenCodeResolver } from './token-code.resolver';
import { EntryResolver } from './entry.resolver';
import { UtilModule } from '../utils/util.module';
import { AdminResolver } from './admin.resolver';
import { SubscriptionModule } from '../subscriptions/subscription.module';

@Module({
	imports: [UtilModule, SubscriptionModule],
	providers: [
		AdminResolver,
		AgentResolver,
		AuthResolver,
		EntryResolver,
		GroupResolver,
		TokenCodeResolver,
	],
})
export class ResolverModule {}
